%define upstream_name    Mixin-ExtraFields-Param
%define upstream_version 0.021

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Make your class provide a familiar "param" method
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mixin/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Mixin::ExtraFields) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module mixes in to your class to provide a 'param' method like the
ones provided by the CGI manpage, the CGI::Application manpage, and other
classes. It uses Mixin::ExtraFields, which means it can use any
Mixin::ExtraFields driver to store your data.

By default, the methods provided are:

* * param

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.21.0-6.mga6
+ Revision: 1029898
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.21.0-5.mga6
+ Revision: 949067
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.21.0-4.mga5
+ Revision: 788899
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.21.0-3.mga5
+ Revision: 751016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.0-2.mga5
+ Revision: 685403
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.21.0-1.mga5
+ Revision: 588487
- update to 0.021

* Mon Oct 21 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 539111
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 491477
- update to 0.020

* Sun Jan 13 2013 umeabot <umeabot> 0.11.0-2.mga3
+ Revision: 369730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.11.0-1.mga1
+ Revision: 29140
- mageia rebuild
- imported package perl-Mixin-ExtraFields-Param

